//
// uncia - a big cat
// Copyright (C) 2010 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#ifndef LIBUNCIA_LIBUNCIA_H
#define LIBUNCIA_LIBUNCIA_H

#include <libuncia/error_handler.h>
#include <libuncia/input.h>
#include <libuncia/input/catenate.h>
#include <libuncia/input/curl.h>
#include <libuncia/input/echo.h>
#include <libuncia/input/file.h>
#include <libuncia/input/filter.h>
#include <libuncia/input/filter/ansi.h>
#include <libuncia/input/filter/apple.h>
#include <libuncia/input/filter/base64.h>
#include <libuncia/input/filter/column_remove.h>
#include <libuncia/input/filter/crlf.h>
#include <libuncia/input/filter/downcase.h>
#include <libuncia/input/filter/escape_newline.h>
#include <libuncia/input/filter/expand.h>
#include <libuncia/input/filter/hash_comments.h>
#include <libuncia/input/filter/head.h>
#include <libuncia/input/filter/number_lines.h>
#include <libuncia/input/filter/quoted_printable.h>
#include <libuncia/input/filter/remove_prefix.h>
#include <libuncia/input/filter/reverse.h>
#include <libuncia/input/filter/reverse_lines.h>
#include <libuncia/input/filter/rot13.h>
#include <libuncia/input/filter/rot47.h>
#include <libuncia/input/filter/sort.h>
#include <libuncia/input/filter/tail.h>
#include <libuncia/input/filter/unique.h>
#include <libuncia/input/filter/upcase.h>
#include <libuncia/input/filter/uudecode.h>
#include <libuncia/input/istream.h>
#include <libuncia/input/null.h>
#include <libuncia/input/paste.h>
#include <libuncia/input/stdin.h>
#include <libuncia/istream.h>
#include <libuncia/istreambuf.h>
#include <libuncia/ostream.h>
#include <libuncia/ostreambuf.h>
#include <libuncia/output.h>
#include <libuncia/output/file.h>
#include <libuncia/output/filter.h>
#include <libuncia/output/filter/apple.h>
#include <libuncia/output/filter/base64.h>
#include <libuncia/output/filter/crlf.h>
#include <libuncia/output/filter/double_space.h>
#include <libuncia/output/filter/downcase.h>
#include <libuncia/output/filter/fold.h>
#include <libuncia/output/filter/hexdump.h>
#include <libuncia/output/filter/number_lines.h>
#include <libuncia/output/filter/pid.h>
#include <libuncia/output/filter/prefix.h>
#include <libuncia/output/filter/quoted_printable.h>
#include <libuncia/output/filter/reverse.h>
#include <libuncia/output/filter/rot13.h>
#include <libuncia/output/filter/rot47.h>
#include <libuncia/output/filter/show_nonprinting.h>
#include <libuncia/output/filter/show_tabs.h>
#include <libuncia/output/filter/squeeze_blank.h>
#include <libuncia/output/filter/suffix_add.h>
#include <libuncia/output/filter/timestamp.h>
#include <libuncia/output/filter/unexpand.h>
#include <libuncia/output/filter/upcase.h>
#include <libuncia/output/filter/uuencode.h>
#include <libuncia/output/null.h>
#include <libuncia/output/ostream.h>
#include <libuncia/output/stdout.h>
#include <libuncia/output/syslog.h>
#include <libuncia/output/tee.h>
#include <libuncia/quit.h>
#include <libuncia/quit/stderr_and_exit.h>
#include <libuncia/quit/throw_exception.h>

#endif // LIBUNCIA_LIBUNCIA_H
